package se.gawell.kvtstore.core;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.joda.time.format.DateTimeFormatter;
import org.joda.time.format.ISODateTimeFormat;
import org.springframework.stereotype.Component;

@Component
public class AlphabeticallySortableTimeFormatter implements TimeFormatter {

	DateTimeFormatter basicDateFormatter = ISODateTimeFormat.basicDateTime();
	private DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd_HH:mm:ss:SSS");
	
	@Override
	public String format(Date time) {
		return basicDateFormatter.print(time.getTime());
	}

}
